<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/estado_cita.php';
$response = array();

if (!isset($_POST['id_estado_cita'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_estado_cita = $_POST['id_estado_cita'];

$estado_cita = EstadoCita::mdlGetEstadoCita($id_estado_cita);

if (!$estado_cita) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontró el estado de cita';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $estado_cita;

echo json_encode($response);